<?php
namespace Zeedhi\PaymentPlatform;

class CreditCard {

    const FLAG_VISA = 'Visa';
    const FLAG_MASTERCARD = 'Mastercard';
    const FLAG_MASTER = 'Master';
    const FLAG_HIPERCARD = "Hipercard";
    const FLAG_AMEX = "Amex";
    const FLAG_DINERS = "Diners";
    const FLAG_ELO = "Elo";
    const FLAG_AURA = "Aura";
    const FLAG_ALELO = "Alelo";
    const FLAG_SODEXO = "Sodexo";
    
    
    /** @var string */
    private $holderName;
    /** @var string */
    private $numbers;
    /** @var string */
    private $expDateMonth;
    /** @var string */
    private $expDateYear;
    /** @var string */
    private $cvv;
    /** @var string */
    private $flag;
    /** @var \MundiAPILib\Models\CreateAddressRequest */
    private $billingAddress;
    /** @var string */
    private $billingAddressId;
    /** @var string */
    private $metadata;
    /** @var string */
    private $type;
    /** @var \MundiAPILib\Models\CreateCardOptionsRequest */
    private $options;
    /** @var string */
    private $holderDocument;
    /** @var string */
    private $privateLabel;

    /**
     * @param string
     */
    public function setHolderName($holderName) {
        $this->holderName = $holderName;
    }

    /**
     * @return string
     */
    public function getHolderName() {
        return $this->holderName;
    }
    
    /**
     * @param string
     */
    public function setNumbers($numbers) {
        $this->numbers = $numbers;
    }

    /**
     * @return string
     */
    public function getNumbers() {
        return $this->numbers;
    }
    
    /**
     * @param string
     */
    public function setExpDateMonth($expDateMonth) {
        $this->expDateMonth = $expDateMonth;
    }

    /**
     * @return string
     */
    public function getExpDateMonth() {
        return $this->expDateMonth;
    }

    /**
     * @param string
     */
    public function setExpDateYear($expDateYear) {
        $this->expDateYear = $expDateYear;
    }
    
    /**
     * @return string
     */
    public function getExpDateYear() {
        return $this->expDateYear;
    }
    
    /**
     * @param string
     */
    public function setCvv($cvv) {
        $this->cvv = $cvv;
    }

    /**
     * @return string
     */
    public function getCvv() {
        return $this->cvv;
    }

    /**
     * @param string
     */
    public function setFlag($flag) {
        $this->flag = $flag;
    }
    
    /**
     * @return string
     */
    public function getFlag() {
        return $this->flag;
    }
    
    /**
     * @param \MundiAPILib\Models\CreateAddressRequest
     */
    public function setBillingAddress($billingAddress) {
       $this->billingAddress = $billingAddress;
    }
    
    /**
     * @return \MundiAPILib\Models\CreateAddressRequest
     */
    public function getBillingAddress() {
        return $this->billingAddress;
    }
    
    /**
     * @param string
     */
    public function setBillingAddressId($billingAddressId) {
        $this->billingAddressId = $billingAddressId;
    }
    
    /**
     * @return string
     */
    public function getBillingAddressId() {
        return $this->billingAddressId;
    }
    
    /**
     * @param string
     */
    public function setMetadata($metadata) {
        return $this->metadata = $metadata;
    }

    /**
     * @return string
     */
    public function getMetadata() {
        return $this->metadata;
    }
    
    /**
     * @param string
     */
    public function setType($type) {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getType() {
        return $this->type;
    }
    
    
    /**
     * @param \MundiAPILib\Models\CreateCardOptionsRequest
     */
    public function setOptions($options) {
        $this->options = $options;
    }

    /**
     * @return \MundiAPILib\Models\CreateCardOptionsRequest
     */
    public function getOptions() {
        return $this->options;
    }
    
    /**
     * @param string
     */
    public function setHolderDocument($holderDocument) {
        $this->holderDocument = $holderDocument;
    }

    /**
     * @return string
     */
    public function getHolderDocument() {
        return $this->holderDocument;
    }
    
    /**
     * @param string
     */
    public function setPrivateLabel($privateLabel) {
        $this->privateLabel = $privateLabel;
    }
    
    /**
     * @return string
     */
    public function getPrivateLabel() {
        return $this->privateLabel;
    }
}






    
